Bug 1290578 - subscription-manager man page contains redundant REDEEM sections
subscription-manager man page contains redundant REDEEM sections
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.1
All All
unspecified Severity low
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 15:56 EST by Dan Yocum
Modified: 2016-01-04 15:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 15:29:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-12-10 15:56:56 EST
Description of problem:

This:

########
   REDEEM OPTIONS
       The redeem command is used for systems that are purchased from third-party vendors that include a subscription. The redemption process essentially auto-attaches the preselected subscription that the
       vendor supplied to the system.

       --email=EMAIL
              Gives the email account to send the redemption notification message to.

       --locale=LOCALE
              Sets the locale to use for the message. If none is given, then it defaults to the local system's locale.

       --org=ORG
              Identifies the organization which issued the subscription being redeemed.
##########

Is similar to this:

##########
   REDEEMING EXISTING SUBSCRIPTIONS
       Sometimes, a system may come preconfigured with products and subscriptions. Rather than attaching a pool and claiming a subscription, this system simply needs to redeem its existing subscriptions.

       After registration, subscriptions on preconfigured systems can be claimed using the redeem command, which essentially auto-attaches the system to its preexisting subscriptions.

              subscription-manager redeem --email=admin@example.com --org="IT Dept"
##########


RHEL7.1
Comment 1 John Sefler 2015-12-11 10:34:02 EST
The REDEEM OPTIONS that you referenced in comment 0 is found under COMMANDS AND OPTIONS where the intent is to describe every command line option of the module which it does.
The REDEEMING EXISTING SUBSCRIPTIONS that you referenced in comment 0 is found under the USAGE section which was designed by Deon to provide a more detailed conceptual understanding of how/when to use various commands.

In my opinion this man page is reasonably designed and informative. Therefore the sections that describe subscription redemption are complimentary rather than redundant.

Unless there is an additional explanation or clarification that you want to include in the man page, I think this bug should be CLOSED NOTABUG. 

Here is the structure of the man page...
[root@jsefler-7 ~]# man -P cat subscription-manager | egrep "^[A-Z]|^   [A-Z]"
NAME
SYNOPSIS
DESCRIPTION
COMMANDS AND OPTIONS
   COMMON OPTIONS
   REGISTER OPTIONS
   UNREGISTER OPTIONS
   ATTACH OPTIONS
   AUTO-ATTACH OPTIONS
   REMOVE OPTIONS
   RELEASE OPTIONS
   IMPORT OPTIONS
   REDEEM OPTIONS                                       <============
   LIST OPTIONS
   REFRESH OPTIONS
   ENVIRONMENTS OPTIONS
   REPOS OPTIONS
   ORGS OPTIONS
   PLUGIN OPTIONS
   REPO-OVERRIDE OPTIONS
   IDENTITY OPTIONS
   FACTS OPTIONS
   CLEAN OPTIONS
   CONFIG OPTIONS
   VERSION OPTIONS
   STATUS OPTIONS
   DEPRECATED COMMANDS
USAGE
   REGISTERING AND UNREGISTERING MACHINES
   LISTING, ATTACHING, AND REMOVING SUBSCRIPTIONS FOR PRODUCTS
   REDEEMING EXISTING SUBSCRIPTIONS                     <============
   VIEWING LOCAL SUBSCRIPTION & CONTENT PROVIDER INFORMATION
   CHANGING SUBSCRIPTION MANAGER CONFIGURATION
   UPDATING FACTS
   SUBSCRIPTIONS AND KICKSTART
NETWORK INFORMATION
FILES
AUTHORS
Comment 2 Dan Yocum 2015-12-11 11:02:14 EST
I find it superfluous - the second REDEEM section lists the same options as the first section - but, if you're really adamant about keeping it, I'm ok with ignoring it.

Note You need to log in before you can comment on or make changes to this bug.